Skip to content

Get plan list for given project by projectId

Request

Get plan list for given project by projectId

Security
bearer and appkey
Path
projectIdstringrequired

The DrillPlan project id. In a DrillPlan project, you can define well data, design tasks for drilling, analyze drilling risks, create an operational activity plan, prepare for the AFE estimation, and generate a drilling program report for a well plan.

Headers
slb-data-partition-idstringrequired

The data partition id.

curl -i -X GET \
  'https://eu-api.delfi.slb.com/drillplan/plan/v1/plans/by-project/{projectId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string'

Responses

Success

Bodyapplication/json
Array [
idstring or null
namestring or null
is_masterboolean
statusstring(PlanStatus)
Value:"Working"
share_timestring, (date-time)
share_bystring or null
]
Response
[ { "id": "string", "name": "string", "is_master": true, "status": "Working", "share_time": "2019-08-24T14:15:22Z", "share_by": "string" } ]